Last modified: 2013-08-13 19:17:15 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 35007 - Use words for relative time periods
Use words for relative time periods
Status: NEW
Product: MediaWiki
Classification: Unclassified
Recent changes (Other open bugs)
1.19
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: 35004
  Show dependency treegraph
 
Reported: 2012-03-06 08:54 UTC by Nemo
Modified: 2013-08-13 19:17 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-03-06 08:54:27 UTC
On Special:RecentChanges and Special:Watchlist, the "7 days" and "30 days" switches are deemed ugly and would be better if replaced with "a week" and "a month".
This would be a small trivial improvement for the general goal of bug 35004.
Comment 1 Andre Klapper 2013-01-02 12:49:16 UTC
(In reply to comment #0)
> "7 days" and "30 days" would be better replaced with "a week" and "a month".

I expect people complaining about "a month" not covering a month if the month has 28 or 31 days and hence propose WONTFIX. (This expectation is based on feedback in other projects I work in which provide calendar functionality.)
Comment 2 Nemo 2013-01-02 12:53:39 UTC
(In reply to comment #1)
> I expect people complaining about "a month" not covering a month if the month
> has 28 or 31 days and hence propose WONTFIX. (This expectation is based on
> feedback in other projects I work in which provide calendar functionality.)

This is not a calendar and it's already deemed to be approximate: "7 days" can include or not all the first or last day, etc.
Additionally, it's already the path we're following elsewhere with some parts of the code (like PageTriage maybe) that use "just now" and similar annotations.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links